## ifhp 3.5.7

=== DISTRIBUTIONS/FreeBSD-4.ports.print.ifhp/Makefile ===
# Ports collection makefile for:	ifhp
# Date created:		10 Oct 2001
# Whom:			papowell@astart.com
#
## $FreeBSD: ports/print/ifhp/Makefile,v 1.3 2000/04/09 17:49:58 cpiazza Exp $
#

PORTNAME=	ifhp
PORTVERSION=	3.5.7
CATEGORIES=	    print
MASTER_SITES=	ftp://ftp.lprng.com/pub/%SUBDIR%/ \
		ftp://ftp.cise.ufl.edu/pub/mirrors/%SUBDIR%/ \
		ftp://ftp.cs.umn.edu/pub/%SUBDIR%/ \
		ftp://ftp.informatik.uni-hamburg.de/pub/os/unix/utils/%SUBDIR%/ \
		ftp://ftp.uni-paderborn.de/pub/unix/printer/%SUBDIR%/
MASTER_SITE_SUBDIR=  LPRng/ifhp
EXTRACT_SUFX=	.tgz

MAINTAINER=papowell@astart.com


GNU_CONFIGURE=	yes
INSTALLS_SHLIB=	yes

CONFIGURE_ARGS= \
	--with-ldopts="-L${LOCALBASE}/lib" \
	--with-ccopts="-I${LOCALBASE}/include"
.if defined(PREFIX)
  CONFIGURE_ARGS+=  --prefix="${PREFIX}"
.endif
.if defined(SYSCONFDIR)
  CONFIGURE_ARGS+=  --sysconfdir="${SYSCONFDIR}"
.endif

MAN8=ifhp.8 textps.8

pre-everything::
	@${ECHO_MSG} "If you want to replace the default printing system with LPRng, use:"
	@${ECHO_MSG} "  make PREFIX=/usr SYSCONFDIR=/etc clean all install"
	@if [ "${PREFIX}" = "/usr" -a ! -d /usr/man ] ; then \
		${ECHO_MSG} "The man pages will be installed in /usr/man." ; \
		${ECHO_MSG} "You should make a symbolic link /usr/share/man from /usr/man"; \
		${ECHO_MSG} "   ln -s /usr/share/man /usr/man"; \
		${ECHO_MSG} "If you do not, you will retain the old FreeBSD man pages."; \
		${ECHO_MSG} "See the hier(7) man page for details of the FreeBSD file system"; \
		${ECHO_MSG} "layout.  Configure is not equipped to determine the location of"; \
		${ECHO_MSG} 'man pages and defaults to $${PREFIX}/man, which is incorrect for FreeBSD.'; \
	fi
	@${ECHO_MSG} "Configuring with '${CONFIGURE_ARGS}'"

post-install:
.if !defined(NOPORTSDOCS)
	@${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} -m 0555 ${DOCSDIR}
.for ext in html pdf ppt ps txt gif jpg png
	@for i in `ls ${WRKSRC}/HOWTO |${GREP} "\.${ext}$$"`; \
		do ${INSTALL_DATA} ${WRKSRC}/HOWTO/$$i ${DOCSDIR}; done
.endfor
.endif
	@${SED} -e "s!DOCSDIR!${DOCSDIR}/!" ${PKGMESSAGE}

.include <bsd.port.mk>

=== DISTRIBUTIONS/RPM.RedHat/Makefile ===
PACKAGE=ifhp
VERSION=3.5.7
RELEASE=1
RPM=/usr/src/redhat/RPMS/i386/${PACKAGE}-${VERSION}-${RELEASE}.i386.rpm
CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc --with-filterdir=/usr/libexec/filters --with-ld_library_path=/lib:/usr/lib:/usr/local/lib --with-filter_path=/bin:/usr/bin:/usr/libexec:/usr/local/libexec:/usr/sbin:/var/spool/bin

COPY_HERE=
.PHONY: all rpm testi testu dou doU undo update clean checkit


all:
	make update
	make rpm

rpm:	${RPM}

testv:
	rpm -q -i -l -p ${RPM}
testi:
	rpm -i --test ${RPM}
doi:
	rpm -i ${RPM}
testu:
	rpm -U --test ${RPM}
dou:
	rpm -U  ${RPM}
doU:
	rpm -U --force ${RPM}
undo:
	rpm -e --nodeps ${PACKAGE}

${RPM}: ifhp.spec
	rpm -ba ifhp.spec

clean:
	rm -f *.tgz
	rm -rf /usr/src/redhat/BUILD/ifhp-*

update:
	perl -spi.bak -e "\
		s|^Name: .*|Name: ${PACKAGE}|; \
		s|^Version: .*|Version: ${VERSION}|; \
		s|^Release: .*|Release: ${RELEASE}|; \
		" ifhp.spec;

checkit: update
	make rpm

=== DISTRIBUTIONS/Solaris.pkg/Makefile ===
#
# Build a pkg for Solaris
# Makefile,v 1.3 2000/05/10 18:33:26 papowell Exp
#
# Hacked, mangled, twisted and warped by Patrick Powell <papowell@astart.com>
#
# 1. We make the package in WORKING
# 2. install it in /var/tmp/ifhp
# 3. generate a packing list using pkgproto + massage
#

PKG=ifhp
PKG_NAME='ifhp Line Printer Filter'
VENDOR='Patrick Powell <papowell@astart.com>'
VERSION=3.5.7

PREFIX=/usr
FILTERDIR=/usr/libexec/filters
SYSCONFDIR=/etc

CONFIGURE_ARGS=--prefix=${PREFIX} --sysconfdir=${SYSCONFDIR} --with-filterdir=${FILTERDIR}

WORKING?=../..
CONFIG?=../..
WORKING:=$(shell cd ${WORKING}; pwd)
CONFIG:=$(shell cd ${CONFIG}; pwd)
COPY_DIR=/var/tmp/ifhp

TMP=/tmp

.PHONY: all add remove rebuild clean check

all: ${PKG}.pkg

addit:
	pkgadd -d ${PKG}.pkg
removeit:
	pkgrm ${PKG}

${PKG}.pkg: pkginfo prototype
	pkgmk -o -d ${TMP} -f prototype -p `date +%Y%m%d%H%M`
	pkgtrans -s ${TMP} `pwd`/${PKG}.pkg ${PKG}
	rm -rf ${TMP}/${PKG}

pkginfo: Makefile
	echo CONFIG ${CONFIG} WORKING ${WORKING} COPY_DIR ${COPY_DIR}
	rm -f pkginfo
	echo "PKG=${PKG}" >> pkginfo
	echo "NAME=ifhp-${VERSION}" >> pkginfo
	echo "ARCH=`uname -p`" >> pkginfo
	echo "VERSION=${VERSION}" >> pkginfo
	echo "CATEGORY=application" >> pkginfo
	echo "DESC=${PKG_NAME}" >> pkginfo
	echo "CLASSES=none preserve" >> pkginfo
	echo "VENDOR=${VENDOR}" >> pkginfo
	echo "BASEDIR=/" >> pkginfo

SCRIPTS:= $(shell echo $(wildcard *.sh) | sed -e 's,\.sh$$,,g' )

prototype: prototype.pre prototype.files ${COPY_DIR}${FILTERDIR}/ifhp ${SCRIPTS}
	cat prototype.pre prototype.files >prototype

${COPY_DIR}${FILTERDIR}/ifhp: ${WORKING}/config.h
	-rm -rf ${COPY_DIR}
	cd ${WORKING}; make install DESTDIR=${COPY_DIR}

${WORKING}/config.h:
	if [ '!' -d ${WORKING} ] ; then mkdir ${WORKING} ; fi
	cd ${WORKING}; ${CONFIG}/configure ${CONFIGURE_ARGS}

${SCRIPTS}: prototype.files
	cat ${WORKING}/header $@.sh >>$@

prototype.files: ${COPY_DIR}${FILTERDIR}/
	chown -R root ${COPY_DIR}
	chgrp -R bin ${COPY_DIR}
	pkgproto ${COPY_DIR}=/ \
	 | awk '$$3 == "/"{ next; } \
		/ifhp.conf=/{  next; } \
		/^d/{ print $$1,$$2,$$3," ? ? ? "; next; } \
		{ print; }' >prototype.files

rebuild:
	-rm -rf ${COPY_DIR}
	cd ${WORKING}; make clean

clean:
	-rm -f pkginfo prototype prototype.files ${PKG}.pkg \
		postinstall preremove postremove /tmp/ifhp
	-rm -rf ${COPY_DIR}
	if [ -d ${WORKING} ] ; then cd ${WORKING}; rm -f config.h; fi

checkit:
	cd ../..; configure ${CONFIGURE_ARGS}; make all install
	make clean all
	-make removeit
	make addit removeit

#
# end of file
#

## ifhp 3.5.20

=== DISTRIBUTIONS/BSDI/Makefile ===
all:
check:
	cd ../..; configure; make clean all install

=== DISTRIBUTIONS/RPM.RedHat/Makefile ===
PACKAGE=ifhp
VERSION=3.5.20
RELEASE=1
RPM=/usr/src/redhat/RPMS/i386/${PACKAGE}-${VERSION}-${RELEASE}.i386.rpm
CONFIGURE_ARGS=--prefix=/usr --sysconfdir=/etc --with-filterdir=/usr/libexec/filters --with-ld_library_path=/lib:/usr/lib:/usr/local/lib --with-filter_path=/bin:/usr/bin:/usr/libexec:/usr/local/libexec:/usr/sbin:/var/spool/bin

COPY_HERE=
.PHONY: all rpm testi testu dou doU undo update clean checkit

all:
	make update
	chown root.bin *
	make rpm

rpm:	${RPM}

testi:
	rpm -i --test ${RPM}
testu:
	rpm -U --test ${RPM} || echo $$?
dou:
	rpm -U  ${RPM} || echo ERROR $$?
doU:
	rpm -U --force ${RPM} || echo ERROR $$?
undo:
	rpm -e --nodeps ${PACKAGE}

${RPM}: ${PACKAGE}.spec
	rpmbuild -ba ${PACKAGE}.spec

clean:
	rm -f *.tgz
	rm -rf /usr/src/redhat/BUILD/${PACKAGE}-*

update:
	perl -spi -e "\
		s|^Version: .*|Version: ${VERSION}|; \
		s|^Release: .*|Release: ${RELEASE}|; \
		" ${PACKAGE}.spec;

checkit: update
	chown root.bin *
	make rpm

=== DISTRIBUTIONS/Solaris.pkg/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PKG=ifhp
 PKG_NAME='ifhp Line Printer Filter'
 VENDOR='Patrick Powell <papowell@astart.com>'
-VERSION=3.5.7
+VERSION=3.5.20
 
 PREFIX=/usr
 FILTERDIR=/usr/libexec/filters

=== DISTRIBUTIONS/ifhp/Makefile ===
# Ports collection makefile for:	ifhp
# Date created:		10 Oct 2001
# Whom:			papowell@astart.com
#
# $FreeBSD: ports/print/ifhp/Makefile,v 1.5 2002/04/02 17:38:39 dwcjr Exp $
#

PORTNAME=	ifhp
PORTVERSION=	3.5.20
CATEGORIES=	    print
MASTER_SITES=	ftp://ftp.lprng.com/pub/%SUBDIR%/ \
		ftp://ftp.cise.ufl.edu/pub/mirrors/%SUBDIR%/ \
		ftp://ftp.cs.umn.edu/pub/%SUBDIR%/ \
		ftp://ftp.informatik.uni-hamburg.de/pub/os/unix/utils/%SUBDIR%/ \
		ftp://ftp.uni-paderborn.de/pub/unix/printer/%SUBDIR%/
MASTER_SITE_SUBDIR=  LPRng/ifhp
EXTRACT_SUFX=	.tgz

MAINTAINER=	papowell@astart.com
COMMENT=	IFHP - A highly configurable print filter for LPRng

GNU_CONFIGURE=	yes
INSTALLS_SHLIB=	yes

CONFIGURE_ARGS= \
	LDFLAGS="-L${LOCALBASE}/lib" \
	CPPFLAG="-I${LOCALBASE}/include"
.if defined(PREFIX)
  CONFIGURE_ARGS+=  --prefix="${PREFIX}"
.endif
.if defined(SYSCONFDIR)
  CONFIGURE_ARGS+=  --sysconfdir="${SYSCONFDIR}"
.endif
.if !defined(FOOMATIC)
  CONFIGURE_ARGS+=  --disable-foomatic
.endif


MAN8= ifhp.8  textps.8 

pre-everything::
	@${ECHO_MSG} "If you want to replace the default printing system with LPRng, use:"
	@${ECHO_MSG} "  make PREFIX=/usr SYSCONFDIR=/etc clean all install"
	@if [ "${PREFIX}" = "/usr" -a ! -d /usr/man ] ; then \
		${ECHO_MSG} "The man pages will be installed in /usr/man." ; \
		${ECHO_MSG} "You should make a symbolic link /usr/share/man from /usr/man"; \
		${ECHO_MSG} "   ln -s /usr/share/man /usr/man"; \
		${ECHO_MSG} "If you do not, you will retain the old FreeBSD man pages."; \
		${ECHO_MSG} "See the hier(7) man page for details of the FreeBSD file system"; \
		${ECHO_MSG} "layout.  Configure is not equipped to determine the location of"; \
		${ECHO_MSG} 'man pages and defaults to $${PREFIX}/man, which is incorrect for FreeBSD.'; \
	fi
	@${ECHO_MSG} "Configuring with '${CONFIGURE_ARGS}'"

post-install:
.if !defined(NOPORTSDOCS)
	@${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} -m 0555 ${DOCSDIR}/Reference
.for ext in html pdf ppt ps txt gif jpg png
	if test -n "VERBOSE_INSTALL"; then set -x; fi; \
	src=${WRKSRC}/DOCS; \
	for i in `ls $${src} | ${GREP} "\.${ext}$$"`; \
		do ${INSTALL_DATA} $${src}/$$i ${DOCSDIR}/Reference; done;
.endfor
.endif
	@${SED} -e "s!DOCSDIR!${DOCSDIR}/!" ${PKGMESSAGE}

.include <bsd.port.mk>

=== debian/changelog ===
ifhp (3.5.20-13) unstable; urgency=medium

  [HIGUCHI Daisuke (VDR dai)]

  * QA upload.
  * Set the Maintainer field to Debian QA Group (see: #721055)
    Thanks Thomas Bushnell, BSG <tb@debian.org> for the previous works.

  [Andreas Moog]

  * Fix FTBFS with gcc4.8 by removing the warning about unused parameters 
    during compilation. (Closes: #701296)
    - Add -Wno-unused-parameter to CFLAGS
    - make $CFLAGS known to the build environment
  * Add patch from Ubuntu/Colin Watson to fix transposed arguments to memset 
    and to use Write_fd_str/Write_fd_len rather than plain write when writing
    the status file. (Closes: #592230)
  * Add build-arch and build-indep targets

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 09 May 2014 21:38:55 +0900

ifhp (3.5.20-12.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)"
  * debian/changelog
    - Delete EOL whitespaces
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete gs to ghostscript.
      (important; Closes: #539663).
      Update to debhelper 7.1.
    - (Homepage): Update to Freshmeat.
    - (Maintainer): Set to QA Group.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Fix lintian copyright-without-copyright-notice.
  * debian/doc-base
    - (Section): Update obsolete Printing to Office.
  * debian/patches
    - (Number 10): New. Fix syntax error; missing quote.
    - (Number 30): New. Pull out all Debian changes so far and Fix hp1100
      part of configuration file. Patch thanks to Holger Klawitter
      <lists@klawitter.de>. (Closes: #492685).
  * debian/{postinst,config}
    - Fix Lintian maintainer-script-ignores-errors.
  * debian/rules
    - (install): Update dh_clean to dh_prep.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 17 May 2010 07:08:39 +0300

ifhp (3.5.20-12) unstable; urgency=low

  * debian/changelog (3.5.20-11): Wrap over-long line.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 21 Jan 2008 14:56:31 -0500

ifhp (3.5.20-11) unstable; urgency=low

  * debian/rules (clean): Don't ignore all errors on recursive make invocation.

  * debian/control (Standards-Version): Update to 3.7.3.  (No changes needed.)

  * debian/ifhp.lintian-overrides: New file.  Don't pay attention to
    no-debconf-templates.  Our debian/config file manages an upgrade issue
    but does not actually prompt the user.
  * debian/rules (install): And install it as
    /usr/share/lintian/overrides/ifhp.

  * debian/rules (install): Remove (empty) usr/bin directory.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 16 Jan 2008 16:00:48 -0500

ifhp (3.5.20-10) unstable; urgency=low

  * debian/po: Remove directory and all contents. (Closes: #407219)

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  6 Feb 2007 11:41:09 -0800

ifhp (3.5.20-9) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.

  * debian/compat: Update to 5.

  * debian/templates: Remove file (only contained an inappropriate note).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Oct 2006 18:05:49 -0700

ifhp (3.5.20-8) unstable; urgency=high

  * debian/rules (install): Use $(CURDIR) instead of $(PWD) because some
    archs refuse to set proper environment variables.  Thanks to Niko
    Tyni <ntyni@iki.fi> for the fix.  (Closes: #390383)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  1 Oct 2006 20:07:50 -0700

ifhp (3.5.20-7) unstable; urgency=low

  * src/plp_snprintf.c (fmtquad, fmtdouble): Don't use safestrlen for a
    known-safe constant value, to avoid GCC 4.2 warning that FTBFS with
    -Werror.  (Closes: #361576)

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 11 Sep 2006 22:25:22 -0700

ifhp (3.5.20-6) unstable; urgency=low

  * debian/copyright: Don't include old maintainer's name as the current
    one.

  * debian/rules (configure): Specify correct Debian value for DEVFD, that
    is, /proc/self/fd/3.  (Closes: #222176)

  * debian/docs: Include pdf and html documentation.
  * debian/doc-base: New file.
  Patch from Andrey Mitrofanov <abme@rambler.ru>.  (Closes: #330499)

  * debian/README.Debian: Correct name of ifhp documentation file.
  Patch from Andrey Mitrofanov <abme@rambler.ru>.

  * ifhp.conf.in (hp6l hp1100): Specify better options.
  Patch from Brendan O'Dea <bod@debian.org>.  (Closes: #236567)

  * ifhp.conf.in (gs_ljet4): Don't comment out pcl_gs converter spec.
    (Closes: #257485)

  * src/ifhp.c (Send_job): When setting language from Use_file_util(),
    correctly test to see whether Use_file_util succeeded.  (Closes: #361576)

  * po/cs.po: New file, thanks to Martin \u0160ín <martin.sin@seznam.cz>
    (Closes: #315206)

  * po/sv.po: New file, thanks to Daniel Nylander <yeager@lidkoping.net>.
    (Closes: #331524)

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 28 May 2006 22:05:22 -0700

ifhp (3.5.20-5) unstable; urgency=low

  * debian/control: Use ${misc:Depends} in place of explicit dependency on
    debconf.  (Closes: #331852)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  5 Oct 2005 00:06:41 -0700

ifhp (3.5.20-4) unstable; urgency=low

  * debian/control (Maintainer): Actually set myself as maintainer.
  Really (Closes: #323471)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 21 Sep 2005 13:50:12 -0700

ifhp (3.5.20-3) unstable; urgency=low

  * Adopt package.  (Closes: #323471)
  * Thanks for all your work, Jens.

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri,  2 Sep 2005 15:31:39 -0700

ifhp (3.5.20-2) unstable; urgency=low

  * Removed obsolete doc-base entry (closes: Bug#308982).
  * Added the Vietnamese translation by Clytie Siddall (closes: Bug#311921).

 -- Jens Schmalzing <jensen@debian.org>  Sun, 12 Jun 2005 21:12:30 +0200

ifhp (3.5.20-1) unstable; urgency=low

  * New maintainer (closes: Bug#266467).
  * New upstream release.
  * Added build-time dependencies and suggestions for new features, namely


=== debian/control ===
Source: ifhp
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: extra
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.1), file, a2ps, ghostscript, gettext, autotools-dev, po-debconf, libnet-snmp-perl, foomatic-filters

Package: ifhp
Architecture: any
Depends: file, a2ps, ghostscript, ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Recommends: lpr
Suggests: libnet-snmp-perl, foomatic-filters
Description: Printer filter for HP LaserJet printers
 ifhp is a highly versatile print filter for BSD based print spoolers.
 It can be configured to handle text, PostScript, PJL, PCL, and
 raster printers, supports conversion from one format to another,
 and can be used as a stand-alone print utility.  It is the primary
 supported print filter for the LPRng print spooler.
 .
 It provides access to printer features like duplex printing, paper tray
 selection and strong accounting using the printer's internal page counter.

=== debian/rules ===
#! /usr/bin/make -f

CONFFLAGS=\
 --prefix=/usr\
 --mandir=/usr/share/man\
 --sysconfdir=/etc\
 --with-filterdir=/usr/lib/ifhp\
 --disable-gscheck

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS+=-g
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
CONFFLAGS+=--disable-strip
endif

CFLAGS+=-Wno-unused-parameter

configure: configure-stamp
configure-stamp:
	dh_testdir
	cp -pf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	DEVFD=/proc/self/fd/3 CFLAGS="$(CFLAGS)" ./configure $(CONFFLAGS) #
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) LDFLAGS=$(LDFLAGS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f intl/libintl.h
	rm -f configure-stamp build-stamp install-stamp
	rm -f gs_out
	rm -f config.log config.status

install: install-stamp
install-stamp:	build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/ifhp install
	# Remove the sample conf file and the UTILS directory (we install them via dh_installexamples)
	cd $(CURDIR)/debian/ifhp; rm -rf etc/ifhp.conf.sample usr/lib/ifhp/UTILS
	touch $@
	mkdir -p debian/ifhp/usr/share/lintian/overrides
	cp debian/ifhp.lintian-overrides debian/ifhp/usr/share/lintian/overrides/ifhp
	rmdir debian/ifhp/usr/bin

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installexamples
	dh_installdocs
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

.PHONY: configure build clean install binary-indep binary-arch binary

=== debian/watch ===
version=2
opts=pasv ftp://ftp.lprng.org/pub/LPRng/ifhp/ifhp-([\d\.]*)\.tgz debian uupdate

## ifhp 3.5.20+dfsg

=== debian/changelog ===
ifhp (3.5.20+dfsg-1) unstable; urgency=medium

  * Team upload
  * Drop non-free files
  * Drop unused Depends variable
  * d/copyright: Convert to machine-readable format
  * d/watch: Update to latest v5

 -- Bastian Germann <bage@debian.org>  Mon, 09 Feb 2026 08:39:09 +0100

ifhp (3.5.20-22) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * add gcc15.patch (Closes: #1096830)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Sep 2025 10:33:20 +0200

ifhp (3.5.20-21) unstable; urgency=medium

  * new maintainer (Closes: #721055)
  * move to debian-printing team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jan 2024 22:33:20 +0100

ifhp (3.5.20-19) unstable; urgency=medium

  * QA Upload.
  * Add options to configure to support cross-building
  * Ignore blhc failure due to -D_FORTIFY_SOURCE=2 in salsa-ci
  * Add comment in d/rules to justify configure option change

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 23:53:08 +0530

ifhp (3.5.20-18) experimental; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/clean: added to remove auto-generated file from the source tree not
    removed by the upstream build system.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields.
      - Bumped Standards-Version to 4.6.2.
  * debian/gbp.conf: added to provide minimal configuration for gbp.
  * debian/patches/100-fix-ftbfs-gcc11.patch: fixed FTBFS with GCC-11. (Closes:
    #984056)
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 02 Apr 2023 00:11:05 +0000

ifhp (3.5.20-17) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957353)
  * Update Standards-Version to 4.5.0
    - Update priority to optional.
  * Use debhelper-compat.
    - Update compat level to 13.
    - Remove depedency on autotools-dev.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 11 Aug 2020 20:23:54 +0100

ifhp (3.5.20-16) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to strncpy. Closes: #891556.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 Aug 2018 12:44:49 +0200

ifhp (3.5.20-15) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to -Werror and -Wimplicit-fallthrough. Closes: #853450.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 22 Aug 2017 02:04:27 +0200

ifhp (3.5.20-14) unstable; urgency=medium

  [ Adam Borowski ]
  * QA upload.
  * Bump debhelper to 9.
  * Pass hardening flags.

  [ Miriam Ruiz ]
  * Added patch to make it buildable with GCC 6. Closes: #811591

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 07:25:37 +0200

=== debian/control ===
Source: ifhp
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: net
Priority: optional
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ifhp
Vcs-Git: https://salsa.debian.org/debian/ifhp.git
Build-Depends: a2ps,
               debhelper-compat (= 13),
               file,
               foomatic-filters,
               gettext,
               ghostscript,
               libnet-snmp-perl,
               po-debconf

Package: ifhp
Architecture: any
Depends: a2ps,
         file,
         ghostscript,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lpr
Suggests: foomatic-filters, libnet-snmp-perl
Description: Printer filter for HP LaserJet printers
 ifhp is a highly versatile print filter for BSD based print spoolers.
 It can be configured to handle text, PostScript, PJL, PCL, and
 raster printers, supports conversion from one format to another,
 and can be used as a stand-alone print utility.  It is the primary
 supported print filter for the LPRng print spooler.
 .
 It provides access to printer features like duplex printing, paper tray
 selection and strong accounting using the printer's internal page counter.

=== debian/watch ===
Version: 5

Source: ftp://ftp.lprng.org/pub/LPRng/ifhp/
Matching-Pattern: ifhp-([\d\.]*)\.tgz
Update-Script: uupdate
Repacksuffix: +dfsg
Dversion-Mangle: auto
